summarylogtreecommitdiffstats
path: root/PKGBUILD
diff options
context:
space:
mode:
authorChocobo12020-03-24 02:41:33 +0800
committerChocobo12020-03-24 03:36:42 +0800
commit2a50558cb257cee09a5471517ffc8f65c4cb3fd4 (patch)
tree3f360784d0205e123115daea13596adbc600aefe /PKGBUILD
downloadaur-help2man-git.tar.gz
newpkg: help2man-git 1.47.13.r0.gfbec3d0-1
Diffstat (limited to 'PKGBUILD')
-rw-r--r--PKGBUILD38
1 files changed, 38 insertions, 0 deletions
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..d25ba58b0e3
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,38 @@
+# Maintainer: Chocobo1 <chocobo1 AT archlinux DOT net>
+
+pkgname=help2man-git
+pkgver=1.47.13.r0.gfbec3d0
+pkgrel=1
+pkgdesc="Tool for generating manual pages from program output"
+arch=('i686' 'x86_64')
+url="https://www.gnu.org/software/help2man/"
+license=('GPL')
+depends=('perl-locale-gettext')
+makedepends=('git' 'gettext' 'po4a')
+provides=('help2man')
+conflicts=('help2man')
+source=("git+https://salsa.debian.org/bod/help2man.git")
+sha256sums=('SKIP')
+
+
+pkgver() {
+ cd "help2man"
+
+ git describe --long --tags | sed 's/^v//;s/\([^-]*-g\)/r\1/;s/-/./g'
+}
+
+build() {
+ cd "help2man"
+
+ automake -a || true
+ autoreconf -fi
+ ./configure \
+ --prefix="/usr"
+ make
+}
+
+package() {
+ cd "help2man"
+
+ make DESTDIR="$pkgdir" install
+}